/*
 * SamplingGridPropertiesUnitTest.hpp
 *
 *  Created on: Jul 29, 2012
 *      Author: heber
 */

#ifndef SAMPLINGGRIDPROPERTIESUNITTEST_HPP_
#define SAMPLINGGRIDPROPERTIESUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>

#include "Fragmentation/Summation/SetValues/SamplingGridProperties.hpp"

/********************************************** Test classes **************************************/

class SamplingGridPropertiesTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( SamplingGridPropertiesTest) ;
    CPPUNIT_TEST ( isEquivalent_Test );
    CPPUNIT_TEST ( isCompatible_Test );
    CPPUNIT_TEST ( equality_Test );
    CPPUNIT_TEST ( serializeTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void isEquivalent_Test();
      void isCompatible_Test();
      void equality_Test();
      void serializeTest();

private:
      SamplingGridProperties *props;

};

#endif /* SAMPLINGGRIDPROPERTIESUNITTEST_HPP_ */
